Bug 189931

Summary: pdftops filter output hangs printers for certain PDFs
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: cupsAssignee: Tim Waugh <twaugh>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: k.georgiou
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 562031 (view as bug list) Environment:
Last Closed: 2009-07-14 13:23:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705    
Attachments:
Description Flags
PDF that hangs our printers
none
CUPS processed output for HP LaserJet 5M
none
CUPS processed output for Ricoh Aficio 7200
none
CUPS 1.1.23-30.2 processed output for Ricoh 7200 none

Description Orion Poplawski 2006-04-25 16:38:26 EDT
Description of problem:

I've been having trouble with printers hanging while printing output generated
by the cups pdftops filter.  I've attached the problem PDF.  The problem page is
page number 5.  I will also attach the captured output that would be sent to the
printer stripped to just page 5.

Version-Release number of selected component (if applicable):
cups-1.2-0.2.rc1.2.8

How reproducible:
Everytime

Printers tested with are a HP LaserJet 5M and a Ricoh Aficio 7200.  The HP
generates a 79 Service Error and I have to power cycle.  The Ricoh simply hangs
saying "Processing..." and I have to power cycle.

The Ricoh accepts raw PDF and prints that fine.  I can also print the file using
acroread.
Comment 1 Orion Poplawski 2006-04-25 16:38:27 EDT
Created attachment 128224 [details]
PDF that hangs our printers
Comment 2 Orion Poplawski 2006-04-25 16:39:56 EDT
Created attachment 128225 [details]
CUPS processed output for HP LaserJet 5M
Comment 3 Orion Poplawski 2006-04-25 16:41:36 EDT
Created attachment 128226 [details]
CUPS processed output for Ricoh Aficio 7200
Comment 4 Tim Waugh 2006-04-26 05:18:40 EDT
If you downgrade CUPS to 1.1.23-30.2, by fetching the packages from
ftp://download.fedora.redhat.com/pub/fedora/linux/core/5/i386/os/Fedora/RPMS and
running:

rpm -Uvh --oldpackage cups-*.rpm

on those packages, then restart CUPS with '/sbin/service cups restart', and try
to print again, does the problem still occur?
Comment 5 Orion Poplawski 2006-04-26 11:01:11 EDT
Created attachment 128256 [details]
CUPS 1.1.23-30.2 processed output for Ricoh 7200

Still hangs the printer.  Output is slightly different so I attached for
reference.
Comment 6 Orion Poplawski 2006-09-08 13:17:15 EDT
Still hangs with cups 1.2.3-1.2
Comment 7 Tim Waugh 2006-12-18 11:13:06 EST
Could you please try 1.2.6-1.3.fc5 from updates-testing?

yum --enablerepo=updates-testing update 'cups*'

Thanks.
Comment 8 Orion Poplawski 2006-12-18 13:52:20 EST
Still the same.  With the Ricoh I get 4 pages of gabled output then the hang. 
WIth the HP it prints 2-4 pages then hangs with the service error.
Comment 9 Orion Poplawski 2007-10-17 16:23:53 EDT
Still the same with cups-1.3.3-3.fc8
Comment 10 Tim Waugh 2008-02-26 10:20:11 EST
I see something similar with an HP LaserJet 6MP: it just doesn't give any output
when using the PostScript driver.  Trying with raster drivers such as hpijs or
gutenprint gives good results.

My best guess is that the PostScript for page 5 does not fit into the printer's
memory, whereas the PDF does.  If you try the hpijs driver instead of the
PostScript driver with the HP LaserJet 5M, do you also see correct output?

I have no work-around to suggest for the Ricoh model, unfortunately.
Comment 11 Orion Poplawski 2008-03-10 12:13:45 EDT
hpijs does work.  I'd be surprised if it's a memory thing (directly) with the
Ricoh - it does have 256MB of memory, which seems to be a fair amount.  The 5M
is pretty limited on memory.
Comment 12 Bug Zapper 2008-05-13 22:09:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 18:09:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:23:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.